<h1><?php _e("Configuration du plugin", 'mondialrelay-wordpress') ?></h1>

<?php
if (isset($noty) && $noty == 1) { ?>
    <div class="updated">
        <p><?php _e("Les options du plugin Mondial Relay pour WordPress ont bien été mises à jour.", 'mondialrelay-wordpress') ?></p>
    </div>
<?php } ?>

<form method="post" action="" id="mondialrelay_admin_recherche">

	<h2><?php _e("Configuration des méthodes de livraison", 'mondialrelay-wordpress') ?></h2>

	<p><strong><?php _e('Méthodes de livraison', 'mondialrelay-wordpress') ?></strong><span class="woocommerce-help-tip" data-tip="<?php _e('Sélectionnez les méthodes de livraison que vous souhaitez utiliser avec Mondial Relay', 'mondialrelay-wordpress') ?>"></span></p>


    <table class="wp-list-table fixed striped form-table">
        <thead>
			<th class="avec-mr"></th>
            <th><?php _e("Nom", 'mondialrelay-wordpress') ?></th>
            <th><?php _e("Type", 'mondialrelay-wordpress') ?></th>
            <th><?php _e("Zone de livraison", 'mondialrelay-wordpress') ?></th>
            <th><?php _e("Mode de livraison", 'mondialrelay-wordpress') ?></th>
        </thead>
        <tbody>
            <?php foreach($mondialrelay_shipping_methods as $mondialrelay_shipping_method) { ?>
                <tr>
					<td class="avec-mr">
					<?php foreach ($labels_livraison as $key => $label) {
							foreach($label['options'] as $value => $option) {
								if (class_MRWP_conf::is_active_shipping_method($mondialrelay_shipping_method['id'] .'-'. $value, $mondialrelay_ids_livraison)) {
									?>
									<span class="dashicons-before dashicons-location"></span>
									<?php
								}
							}
						} ?>
					</td>
                    <td><?php echo $mondialrelay_shipping_method['title'] ?></td>
                    <td><?php echo $mondialrelay_shipping_method['name'] ?></td>
                    <td><?php echo $mondialrelay_shipping_method['zone'] ?></td>
                    <td>
                    <?php foreach ($labels_livraison as $key => $label) { ?>
                            <select name="mondialrelay_ids_livraison[]">
                                <option value="<?php echo ($mondialrelay_shipping_method['id'] .'-HMR') ?>"> <?php _e("Livraison hors Mondial Relay", 'mondialrelay-wordpress') ?>
                                <?php
                                foreach($label['options'] as $value => $option) { ?>
                                    <option value="<?php echo ($mondialrelay_shipping_method['id'] .'-'. $value) ?>"
                                    <?php if (class_MRWP_conf::is_active_shipping_method($mondialrelay_shipping_method['id'] .'-'. $value, $mondialrelay_ids_livraison)) echo 'selected'; ?>> <?php echo $option ?>
                                <?php } ?>
                            </select>
                    <?php } ?>
                    </td>
                </tr>
            <?php } ?>
        </tbody>
    </table>

    <br>

    <h3><?php _e( 'État des commandes WooCommerce', 'mondialrelay-wordpress' ) ?></h3>
    <table class="form-table">
        <tbody>
        <?php foreach ( $labels_order as $key => $data ) { ?>
            <tr valign="top">
                <th scope="row" class="titledesc">
                    <label for="<?php echo $key ?>"><?php echo $data['label']; ?> </label>
                    <span class="woocommerce-help-tip" data-tip="<?php echo $data['description'] ?>"></span>
                </th>
                <td>
                    <select name="<?php echo $key ?>">
                        <option value=""> <?php _e( 'Ne rien faire', 'mondialrelay-wordpress' ) ?>
                            <?php
                            foreach( $data['options'] as $code => $text ) { ?>
                        <option value="<?php echo $code ?>" <?php if ( $champs[ $key ] == $code ) echo 'selected'; ?>> <?php echo $text ?>
                            <?php }
                            ?>
                    </select>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>

    <br>

    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="<?php _e("Enregistrer les changements", 'mondialrelay-wordpress') ?>"></p>

</form>

<div id="message" class="mrwp-message">
    <div class="squeezer">
        <p><strong><?php _e("Aide", 'mondialrelay-wordpress') ?></strong><br>
            <?php _e("Pour plus d'informations sur les options du plugin, consultez", 'mondialrelay-wordpress') ?> <a target="_blank" href="<?php echo class_MRWP_main::DOCUMENTATION; ?>"> <?php _e("la documentation", 'mondialrelay-wordpress') ?></a>.</p>
    </div>
</div>

<?php
$mondialrelay_debug = get_option('mondialrelay_debug', class_MRWP_main::DEBUG);
if ($mondialrelay_debug) { ?>
    <div id="log-viewer">
        <h2><?php _e("Données de débuggage à fournir au support", 'mondialrelay-wordpress') ?></h2>
        <p><?php
            class_MRWP_helpers::VarPrint($mondialrelay_shipping_methods);

            $shipping_methods_test = WC()->shipping()->get_shipping_methods();
			class_MRWP_helpers::VarPrint($shipping_methods_test);
		?></p>
    </div>
<?php } ?>